Sanitizer Api - v2019.1 (older) - Last updated January 01, 2019 - Send Feedback -

## 3. Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

## A

address
  Sanitizer_ResourceMemoryData
  Sanitizer_BatchMemopData
  Sanitizer_MemsetData

## C

callbackSite
  Sanitizer_CallbackData
context
  Sanitizer_CallbackData
  Sanitizer_BatchMemopData
  Sanitizer_MemsetData
  Sanitizer_ResourceStreamData
  Sanitizer_SynchronizeData
  Sanitizer_ResourceMemoryData
  Sanitizer_ResourceModuleData
  Sanitizer_LaunchData
  Sanitizer_ResourceContextData
cubinSize
  Sanitizer_ResourceModuleData

## D

device
  Sanitizer_ResourceContextData
dstAddress
  Sanitizer_MemcpyData
dstContext
  Sanitizer_MemcpyData

## F

flags
  Sanitizer_ResourceMemoryData
function
  Sanitizer_LaunchData
functionName
  Sanitizer_LaunchData
  Sanitizer_CallbackData
functionParams
  Sanitizer_CallbackData
functionReturnValue
  Sanitizer_CallbackData

## G

gridDim_x
  Sanitizer_LaunchData
gridId
  Sanitizer_LaunchData

## I

isAsync
  Sanitizer_MemcpyData
  Sanitizer_MemsetData

## M

module
  Sanitizer_ResourceModuleData
  Sanitizer_LaunchData

## P

pCubin
  Sanitizer_ResourceModuleData

## S

size
  Sanitizer_ResourceMemoryData
  Sanitizer_MemcpyData
srcAddress
  Sanitizer_MemcpyData
srcContext
  Sanitizer_MemcpyData
stream
  Sanitizer_LaunchData
  Sanitizer_ResourceStreamData
  Sanitizer_BatchMemopData
  Sanitizer_SynchronizeData
symbolName
  Sanitizer_CallbackData

## T

type
  Sanitizer_BatchMemopData

## V

value
  Sanitizer_MemsetData
  Sanitizer_BatchMemopData

## W

width
  Sanitizer_MemsetData